#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobySchematikonStructureAnnotation(MobyObject):
    """ Description: DSSP, STRIDE, and PROMOTIF annotation for a Schematikon structure segment / structure motif
        Author: schematikon.org
        Contact: boris.steipe@utoronto.ca
    """
    def __init__(self,namespace="",id="",PROMOTIFGammaTurn="",PROMOTIFBetaTurn="",DSSP="",STRIDE="",articleName=""):
        self._articles={"PROMOTIFGammaTurn":"PROMOTIF gamma-turn","PROMOTIFBetaTurn":"PROMOTIF beta-turn","DSSP":"DSSP","STRIDE":"STRIDE"}
        self.namespace=namespace
        self.id=id
        self.PROMOTIFGammaTurn=PROMOTIFGammaTurn
        self.PROMOTIFBetaTurn=PROMOTIFBetaTurn
        self.DSSP=DSSP
        self.STRIDE=STRIDE
        self.__prefix__="moby"
        self.__tag__="SchematikonStructureAnnotation"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="PROMOTIFGammaTurn" or elt.getAttribute("moby:articleName")=="PROMOTIFGammaTurn"):
                t=MobyString()
                t.fromMoby(elt)
                self.PROMOTIFGammaTurn=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="PROMOTIFBetaTurn" or elt.getAttribute("moby:articleName")=="PROMOTIFBetaTurn"):
                t=MobyString()
                t.fromMoby(elt)
                self.PROMOTIFBetaTurn=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="DSSP" or elt.getAttribute("moby:articleName")=="DSSP"):
                t=MobyString()
                t.fromMoby(elt)
                self.DSSP=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="STRIDE" or elt.getAttribute("moby:articleName")=="STRIDE"):
                t=MobyString()
                t.fromMoby(elt)
                self.STRIDE=t.content